Skip to main content

Course

Course List

Use this API to get the list of all courses created in the LMS.

 GET /course/course-list Try now

Query string parameters

FieldTypeDescription
firstRecord
required
integerFirst record to return. Default: 1
count
required
integerNumber of records to be returned starting from the first record. Default: 20, Max count limit: 100
filterDataJSON ArraySearch all records using the following filters:
  1. 1. title
  2. 2. courseId
  3. 3. tagId
  4. 4. courseCode
  5. 5. eligibleForSale (0 – no, 1 – yes)
  6. 6. status
  7. 7. courseType (0 - single subject, 1 – multi subject)
  8. 8. generic
  9. 9. sortByfield (newest/popular/duration/rating)
  10. 10. sortType (asc/desc)

For general error details, click here.

Course Details

Use this API to get details of a specific course.

 GET /course/{courseId}/detail Try now

Path parameter

FieldTypeDescription
courseId
required
integerCourse ID of the course

For general error details, click here.

Trainee - Course Library

Use this API to get the list of all courses added to the library in which the Trainee is eligible for enrollment.

 GET /course/trainee-course-library Try now

Query string parameters

FieldTypeDescription
firstRecord
required
integerFirst record to return. Default: 1
count
required
integerNumber of records to be returned starting from the first record. Default: 20, Max count limit: 100
filterData
required
JSON ArraySearch all records using the following filters:
  1. 1. courseId
  2. 2. courseCode
  3. 3. title
  4. 4. status
  5. 5. generic
  6. 6. sortByfield (newest/popular/duration/rating)
  7. 7. sortType (asc/desc)

For general error details, click here.

Trainee - Enroll to a course in Course Library

Use this API to enroll a Trainee to a course that is added to the course library.

 GET /course/{courseId}/trainee-course-library-request Try now

Path parameter

FieldTypeDescription
courseId
required
integerA single course ID

For general error details, click here.

Use this API to get the list of recommended courses for a Trainee.

 GET /course/trainee-course-recommended Try now

Query string parameters

FieldTypeDescription
firstRecord
required
integerFirst record to return. Default: 1
count
required
integerNumber of records to be returned starting from the first record. Default: 20, Max count limit: 100
filterData
required
JSON ArraySearch record with following filters:
  1. 1. courseCode
  2. 2. title
  3. 3. status
  4. 4. generic
  5. 5. sortByfield (newest/popular/duration/rating)
  6. 6. sortType (asc/desc)

For general error details, click here.

Use this API to enroll a Trainee to a recommended course or dismiss it from the list.

 GET /course/trainee-course-recommended-action Try now

Query string parameters

FieldTypeDescription
actionType
required
integer1-dismiss, 2-enrollment
courseId
required
integerCourse ID of the Course

For general error details, click here.

Trainee - Assignment List

Use this API to get the list of Assignments available to a Trainee.

 GET /course/{userId}/trainee-assignment-list Try now

Path parameters

FieldTypeDescription
userId
required
integerUser ID

Query string parameters

FieldTypeDescription
subjectIdintegerSubject ID
qstringFilter based on courseTitle, documentName, etc.

For general error details, click here.

Trainee - List of Modules and Documents in a Course

Use this API to get the list of course modules and documents for a specific enrollment.

 GET /course/{enrollmentId}/trainee-module-document-list Try now

Path parameters

FieldTypeDescription
enrollmentId
required
integerEnrollment ID

Query string parameters

FieldTypeDescription
subjectIdintegerSubject ID

For general error details, click here.

Trainee - Course Content View

Use this API to get details of a individual course content (e.g.: HTML, PDF, PPT, Videos, Assessments, etc.). Mark content as Completed. Submit answers for Assignment, Assessment, Practice test, Survey, Poll questions.

 GET /course/{enrollmentId}/trainee-document-view Try now

Path parameters

FieldTypeDescription
enrollmentId
required
integerEnrollment ID

Query string parameters

FieldTypeDescription
documentId
required
integerDocument ID
subjectIdintegerSubject ID
startAssignmentintegervalue = 1 to start time barred assignment
requestForExtentionintegervalue = 1
traineeResponsejsonArray
  1. 1. questionId
  2. 2. optionId
  3. 3. markComplete
  4. 4. clearAnswer
  5. 5. reAttempt

For general error details, click here.